HESIOD(3)

NAME
hesiod_getmailhost, hesiod_free_postoffice - Hesiod functions for retrieving user to postoffice mappings

SYNOPSIS
#include <hesiod.h>

struct hesiod_postoffice *hesiod_getmailhost(void *context,
const char *user)
void hesiod_free_postoffice(void *context,
struct hesiod_postoffice *po)

cc file.c -lhesiod

DESCRIPTION
This family of functions allows you to retrieve user to postoffice mappings using Hesiod. To perform lookups, you need an initialized Hesiod context; see hesiod(3) for details. Information is returned in a hesiod_postoffice structure, which has the following fields:

hesiod_po_type
    The type of postoffice box, typically ``POP''.

hesiod_po_host
    The hostname where the postoffice box resides.

hesiod_po_name
    The account name on the given postoffice server.

It is the caller's responsibility to call hesiod_free_postoffice with the returned postoffice entry to free the resources used by the postoffice entry.

Hesiod queries for postoffice information are made using the ``pobox'' Hesiod type, using the username as the Hesiod name. The corresponding entries should be space-separated lists of strings giving the type of postoffice box, the hostname, and the account name.

RETURN VALUES
On failure, hesiod_getservbyname returns NULL and sets the global variable errno to indicate the error.

ERRORS
hesiod_getmailhost may fail for any of the reasons the routine hesiod_resolve may fail.

SEE ALSO
hesiod(3)